<?php
/**
 * The template part for displaying grid post
 *
 * @package Digital Agency Lite
 * @subpackage digital-agency-lite
 * @since digital-agency-lite 1.0
 */
?>

<div class="col-lg-4 col-md-6">
	<article id="post-<?php the_ID(); ?>" <?php post_class('inner-service'); ?>>
	    <div class="post-main-box wow zoomInDown delay-1000" data-wow-duration="2s">
	      	<div class="box-image">
	          	<?php 
		            if(has_post_thumbnail() && get_theme_mod( 'digital_agency_lite_featured_image_hide_show',true) == 1) { 
		              the_post_thumbnail(); 
		            }
	          	?>
	        </div>
	        <h2 class="section-title"><a href="<?php echo esc_url(get_permalink()); ?>"><?php the_title();?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
	        <?php if( get_theme_mod( 'digital_agency_lite_grid_postdate',true) == 1 || get_theme_mod( 'digital_agency_lite_grid_author',true) == 1 || get_theme_mod( 'digital_agency_lite_grid_comments',true) == 1 ) { ?>
		        <div class="post-info">
		            <?php if(get_theme_mod('digital_agency_lite_grid_postdate',true)==1){ ?>
		                <i class="<?php echo esc_attr(get_theme_mod('digital_agency_lite_toggle_postdate_icon','fas fa-calendar-alt')); ?>"></i> <span class="entry-date"><a href="<?php echo esc_url( get_day_link( $digital_agency_lite_archive_year, $digital_agency_lite_archive_month, $digital_agency_lite_archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a></span>
		            <?php } ?>

		            <?php if(get_theme_mod('digital_agency_lite_grid_author',true)==1){ ?>
		                <span><?php echo esc_html(get_theme_mod('digital_agency_lite_single_post_meta_field_separator', '|'));?></span> <i class="<?php echo esc_attr(get_theme_mod('digital_agency_lite_grid_author_icon','fas fa-user')); ?>"></i> <span class="entry-author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_author(); ?></span></a></span>
		            <?php } ?>

		            <?php if(get_theme_mod('digital_agency_lite_grid_comments',true)==1){ ?>
		                <span><?php echo esc_html(get_theme_mod('digital_agency_lite_single_post_meta_field_separator', '|'));?></span> <i class="<?php echo esc_attr(get_theme_mod('digital_agency_lite_toggle_comments_icon','fas fa-comments')); ?>"></i> <span class="entry-comments"><?php comments_number( __('0 Comment', 'digital-agency-lite'), __('0 Comments', 'digital-agency-lite'), __('% Comments', 'digital-agency-lite') ); ?></span>
		            <?php } ?>
		        </div>
		    <?php } ?>
	        <div class="new-text">
	        	<p>
			        <?php $digital_agency_lite_excerpt = get_the_excerpt(); echo esc_html( digital_agency_lite_string_limit_words( $digital_agency_lite_excerpt, esc_attr(get_theme_mod('digital_agency_lite_related_posts_excerpt_number','30')))); ?> <?php echo esc_html( get_theme_mod('digital_agency_lite_excerpt_suffix','') ); ?>
	        	</p>
	        </div>
	        <?php if( get_theme_mod('digital_agency_lite_button_text','READ MORE') != ''){ ?>
	          <div class="more-btn">
	            <a href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_html(get_theme_mod('digital_agency_lite_button_text',__('READ MORE','digital-agency-lite')));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('digital_agency_lite_button_text',__('READ MORE','digital-agency-lite')));?></span></a>
	          </div>
	        <?php } ?>
	    </div>
	    <div class="clearfix"></div>
  	</article>
</div>